summaryrefslogtreecommitdiff
path: root/net-misc
diff options
context:
space:
mode:
authorV3n3RiX <venerix@gmail.com>2014-11-22 18:23:48 +0200
committerV3n3RiX <venerix@gmail.com>2014-11-22 18:23:48 +0200
commit688238af4df89309c756476773e515f567ba4876 (patch)
tree7040d96d0b38ed15a14cfda589c484625f871329 /net-misc
parent21f0f4c17e9dc3b360f5df22540d06db26e13fb7 (diff)
Frontend for ModemManager daemon able to control specific modem functions
Diffstat (limited to 'net-misc')
-rw-r--r--net-misc/modem-manager-gui/Manifest1
-rw-r--r--net-misc/modem-manager-gui/modem-manager-gui-0.0.17.1.ebuild41
2 files changed, 42 insertions, 0 deletions
diff --git a/net-misc/modem-manager-gui/Manifest b/net-misc/modem-manager-gui/Manifest
new file mode 100644
index 00000000..e50842f5
--- /dev/null
+++ b/net-misc/modem-manager-gui/Manifest
@@ -0,0 +1 @@
+DIST modem-manager-gui-0.0.17.1.tar.gz 560280 SHA256 008275e39c6c1540103a4ade865312e27314570f0edbb2f0ee75880acd942b2d SHA512 bd722ba4556218af6054fbf617b4d21c6b1af126d102b2ae52fe154b249eb6306ca7a291798856c00f628f44d765023723de532be434a98d41905b54de9cc031 WHIRLPOOL d25a75de5f10a6fc4a9f46cdd91f65e9b43f98da9e4508a655170219c10750a78d1fd6af9f5a4dda98b93541528c3847a767cd80c2fd71184dd842ffd1a4a4a0
diff --git a/net-misc/modem-manager-gui/modem-manager-gui-0.0.17.1.ebuild b/net-misc/modem-manager-gui/modem-manager-gui-0.0.17.1.ebuild
new file mode 100644
index 00000000..6eb40802
--- /dev/null
+++ b/net-misc/modem-manager-gui/modem-manager-gui-0.0.17.1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit eutils
+
+DESCRIPTION="Frontend for ModemManager daemon able to control specific modem functions"
+HOMEPAGE="http://linuxonly.ru/cms/page.php?"
+SRC_URI="http://download.tuxfamily.org/gsf/source/${PN}-${PV}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="
+ sys-libs/gdbm
+ x11-libs/gtk+:3
+ x11-libs/libnotify
+ net-misc/modemmanager
+ net-misc/networkmanager"
+RDEPEND="
+ app-text/po4a
+ dev-util/itstool
+ "
+
+S="${WORKDIR}/${PN}-${PV}"
+
+src_configure() {
+ econf
+}
+
+src_compile() {
+ emake || die "compilation failed"
+}
+
+src_install() {
+ default
+}